using adas_core.Application.Exceptions;
using adas_core.Application.Repositories.Interfaces;
using adas_core.Application.Services.Interfaces;
using adas_core.Domain.Enums;
using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Services;

public class AlertValuesService(IConfigObservationRepository alertValueRepository) : IAlertValuesService
{
    public async Task<ConfigObservation?> FindByKey(ObjectId key)
    {
        return await alertValueRepository.FindById(key) ??
               throw new NotFoundException(HttpEnum.ErrorMessage.NotFoundResourceMissing);
    }
}